POST V1/ToolsAndLibrary.{ext}/AddLocker

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.ReportSchedulerEntity+ReportSchedulerTransaction
NameDescriptionTypeAdditional information
ReportSchedulerTransactionId

No description available

integer

None.

ReportSchedulerDetailId

No description available

integer

None.

ReportScheduleId

No description available

integer

None.

ScheduledTaskGUID

No description available

string

None.

ExecutionDateTime

No description available

string

None.

SequenceNo

No description available

integer

None.

Status

No description available

string

None.

Progress

No description available

string

None.

StartedOn

No description available

string

None.

Comments

No description available

string

None.

ErrorMessage

No description available

string

None.

recStatus

No description available

string

None.

PinStatus

No description available

string

None.

NotificationEmail

No description available

string

None.

GeneratedFileName

No description available

string

None.

RecordCount

No description available

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "reportSchedulerTransactionId": 1,
  "reportSchedulerDetailId": 2,
  "reportScheduleId": 3,
  "scheduledTaskGUID": "sample string 4",
  "executionDateTime": "sample string 5",
  "sequenceNo": 6,
  "status": "sample string 7",
  "progress": "sample string 8",
  "startedOn": "sample string 9",
  "comments": "sample string 10",
  "errorMessage": "sample string 11",
  "recStatus": "sample string 12",
  "pinStatus": "sample string 13",
  "notificationEmail": "sample string 14",
  "generatedFileName": "sample string 15",
  "recordCount": 16
}

application/xml, text/xml

Sample:
<ReportSchedulerEntity.ReportSchedulerTransaction xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <Comments>sample string 10</Comments>
  <ErrorMessage>sample string 11</ErrorMessage>
  <ExecutionDateTime>sample string 5</ExecutionDateTime>
  <GeneratedFileName>sample string 15</GeneratedFileName>
  <NotificationEmail>sample string 14</NotificationEmail>
  <PinStatus>sample string 13</PinStatus>
  <Progress>sample string 8</Progress>
  <RecordCount>16</RecordCount>
  <ReportScheduleId>3</ReportScheduleId>
  <ReportSchedulerDetailId>2</ReportSchedulerDetailId>
  <ReportSchedulerTransactionId>1</ReportSchedulerTransactionId>
  <ScheduledTaskGUID>sample string 4</ScheduledTaskGUID>
  <SequenceNo>6</SequenceNo>
  <StartedOn>sample string 9</StartedOn>
  <Status>sample string 7</Status>
  <recStatus>sample string 12</recStatus>
</ReportSchedulerEntity.ReportSchedulerTransaction>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.